%define	module DNS-ZoneParse

Name:		perl-%{module}
Version:	0.95
Release:	%mkrel 3
Summary:	Parse and manipulate DNS Zone Files
License:	GPL or Artistic
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{module}
Source:		http://search.cpan.org/CPAN/modules/by-module/DNS/%{module}-%{version}.tar.bz2
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
This module will parse a Zone File and put all the Resource Records (RRs) into
an anonymous hash structure. At the moment, the following types of RRs are
supported: SOA, NS, MX, A, CNAME, TXT, PTR. It could be useful for maintaining
DNS zones, or for transferring DNS zones to other servers. If you want to
generate an XML-friendly version of your zone files, it is easy to use
XML::Simple with this module once you have parsed the zonefile.

DNS::ZoneParse scans the DNS zonefile - removes comments and seperates the file
into its constituent records. It then parses each record and stores the records
internally. See below for information on the accessor methods.

%prep

%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
rm -rf %{buildroot}

%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/DNS
%{_mandir}/*/*


%changelog
* Sat Dec 22 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.95-3mdv2008.1
+ Revision: 137175
- spec cleanup

* Sat Dec 22 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.95-2mdv2008.1
+ Revision: 136993
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Fri Oct 13 2006 Oden Eriksson <oeriksson@mandriva.com>
+ 2006-10-12 13:12:28 (63851)
Import perl-DNS-ZoneParse

* Fri Oct 13 2006 Oden Eriksson <oeriksson@mandriva.com> 0.95-1mdv2007.1
- initial Mandriva package

